org.apache.solr.core

## Class MockFSDirectoryFactory

- java.lang.Object
- - org.apache.solr.core.DirectoryFactory
  - - org.apache.solr.core.CachingDirectoryFactory
    - - org.apache.solr.core.StandardDirectoryFactory
      - - org.apache.solr.core.MockFSDirectoryFactory

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.solr.util.plugin.NamedListInitializedPlugin

      public class MockFSDirectoryFactory
      extends org.apache.solr.core.StandardDirectoryFactory

  Opens a directory with `LuceneTestCase.newFSDirectory(Path)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.core.CachingDirectoryFactory

      `org.apache.solr.core.CachingDirectoryFactory.CacheValue, org.apache.solr.core.CachingDirectoryFactory.CloseListener`

    - ### Nested classes/interfaces inherited from class org.apache.solr.core.DirectoryFactory

      `org.apache.solr.core.DirectoryFactory.DirContext`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.core.CachingDirectoryFactory

      `byDirectoryCache, byPathCache, closeListeners, removeEntries`

    - ### Fields inherited from class org.apache.solr.core.DirectoryFactory

      `coreContainer, INDEX_W_TIMESTAMP_REGEX, IOCONTEXT_NO_CACHE, LOCK_TYPE_HDFS, LOCK_TYPE_NATIVE, LOCK_TYPE_NONE, LOCK_TYPE_SIMPLE, LOCK_TYPE_SINGLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockFSDirectoryFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.store.Directory` | `create(String path, org.apache.lucene.store.LockFactory lockFactory, org.apache.solr.core.DirectoryFactory.DirContext dirContext)`
    `boolean` | `isAbsolute(String path)`

    - ### Methods inherited from class org.apache.solr.core.StandardDirectoryFactory

      `createLockFactory, exists, isPersistent, move, normalize, removeDirectory`

    - ### Methods inherited from class org.apache.solr.core.CachingDirectoryFactory

      `addCloseListener, close, deleteOldIndexDirectory, doneWithDirectory, get, getLivePaths, getPath, incRef, init, release, remove, remove, remove, remove, stripTrailingSlash`

    - ### Methods inherited from class org.apache.solr.core.DirectoryFactory

      `cleanupOldIndexDirectories, empty, getDataHome, initCoreContainer, isSharedStorage, offerMBeans, searchersReserveCommitPoints, size, size, sizeOf, sizeOfDirectory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockFSDirectoryFactory

          public MockFSDirectoryFactory()

  - ### Method Detail

    - #### create

          public org.apache.lucene.store.Directory create(String path,
                                                          org.apache.lucene.store.LockFactory lockFactory,
                                                          org.apache.solr.core.DirectoryFactory.DirContext dirContext)
                                                   throws IOException

      Overrides:
        `create` in class `org.apache.solr.core.StandardDirectoryFactory`
      Throws:
        `IOException`

    - #### isAbsolute

          public boolean isAbsolute(String path)

      Overrides:
        `isAbsolute` in class `org.apache.solr.core.StandardDirectoryFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.